Bug 5959 - Add search link for analytics to serial records
Summary: Add search link for analytics to serial records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 15851
  Show dependency treegraph
 
Reported: 2011-03-27 19:32 UTC by Katrin Fischer
Modified: 2018-02-02 06:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (25.15 KB, patch)
2011-03-27 21:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Rebased patch. (27.39 KB, patch)
2011-03-29 07:44 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed-off patch (23.17 KB, application/octet-stream)
2011-03-30 14:17 UTC, Jared Camins-Esakov
Details
Signed-off patch (reposted) (23.17 KB, patch)
2011-03-30 14:21 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-03-27 19:32:43 UTC
This will work similar to 'Show volumes' links from traced series records and set records. A link to search for analytics linked to serials.

A new syspref will be added: UseControlNumber.

This syspref will make it possible to determine, if $w and Controlnumber are used for linking of records in the catalog. If not, the search links will not use control numbers but keywords.
Comment 1 Katrin Fischer 2011-03-27 21:49:20 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2011-03-28 09:34:30 UTC
../5959.patch:254: trailing whitespace.

error: patch failed: C4/XSLT.pm:131
error: C4/XSLT.pm: patch does not apply
error: patch failed: kohaversion.pl:16
error: kohaversion.pl: patch does not apply

Is it perhaps an idea to put functionality and installation into 2 patches??
The installation patch is not that interesting for testing and gets often much sooner out of date?
Comment 3 Katrin Fischer 2011-03-28 09:40:34 UTC
I think the installation part needs testing too. ;) 

I think the problem here is, that another XSLT change was pushed shortly before I sent my patch. I will rebase and resent, the conflicts should not be too hard to fix.
Comment 4 Katrin Fischer 2011-03-29 07:44:31 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2011-03-30 14:06:14 UTC
(In reply to comment #3)
> I think the installation part needs testing too. ;) 
> I think the problem here is, that another XSLT change was pushed shortly before
> I sent my patch. I will rebase and resent, the conflicts should not be too hard
> to fix.

Install part should obviously be tested too, of course. But if you split functionality and installation, you will not be rebasing every two days ;)
Please note that your patch does not even apply already any more on current master due to db revs.

Will look to the functional part now..
Comment 6 Jared Camins-Esakov 2011-03-30 14:07:06 UTC
I have rebased and am signing off on this.
Comment 7 Jared Camins-Esakov 2011-03-30 14:17:07 UTC
Created attachment 3525 [details]
Signed-off patch

Signed-off patch, rebased to latest Master.
Comment 8 Marcel de Rooy 2011-03-30 14:18:59 UTC
Comment on attachment 3525 [details]
Signed-off patch

Attachment is not viewable in your browser because its MIME type (application/octet-stream) is not one that your browser is able to display.
Comment 9 Jared Camins-Esakov 2011-03-30 14:21:11 UTC
Created attachment 3527 [details] [review]
Signed-off patch (reposted)

Marcel,

I think I may be cursed. Reposting signed-off patch.

Regards,
Jared
Comment 10 Marcel de Rooy 2011-03-30 15:08:07 UTC
(In reply to comment #9)
> Created attachment 3527 [details] [review]
> Signed-off patch (reposted)
> Marcel,
> I think I may be cursed. Reposting signed-off patch.
> Regards,
> Jared

Patch applies fine now. Thanks.
Only still wonder about the analytics stuff.
Comment 11 Chris Cormack 2011-04-01 07:26:34 UTC
Pushed, please test
Comment 12 Nicole C. Engard 2011-04-01 13:12:15 UTC
Can someone please explain to me what this does for the manual? I need small words here :)
Comment 13 MJ Ray (software.coop) 2011-04-04 08:10:22 UTC
This bug is mentioned in:
Bug 5959: Add search link for analytics to	serial records http://lists.koha-community.org/pipermail/koha-patches/2011-March/014242.html
Bug 5959: Add search link for analytics to serial records http://lists.koha-community.org/pipermail/koha-patches/2011-March/014355.html
Comment 14 lculber 2011-04-28 19:00:11 UTC
I realize I am coming in late aboutthis, but we just noticed that we hadn't taken the indicators into consideration about whether the links should even display.  Had anyone else looked at the indicators?
Comment 15 Katrin Fischer 2012-01-06 15:35:45 UTC
This works on master. The links can be removed from display using CSS:
.analytics {display: none;}

Linda - you are right, indicators are not taken into account here. Could you open a separate bug with some more information perhaps? I can try to look into it.